aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/r2e/install.sh
diff options
context:
space:
mode:
authorToby Vincent <tobyv@tobyvin.dev>2023-10-12 15:21:22 -0500
committerToby Vincent <tobyv@tobyvin.dev>2023-10-12 15:21:22 -0500
commit38b8fd29a6ce554f666db5a47517d1a5308136ca (patch)
treed3e68192ffffa7af421dddcb8cac2661c860390b /r2e/install.sh
parent40468910b8a726b4b3329ce19a1863037357a02d (diff)
feat(mail): improved services and install scripts
Diffstat (limited to 'r2e/install.sh')
-rwxr-xr-xr2e/install.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/r2e/install.sh b/r2e/install.sh
new file mode 100755
index 0000000..f4cbd0a
--- /dev/null
+++ b/r2e/install.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if ! command -v "r2e" >/dev/null; then
+ printf "%s: r2e not found, skipping...\n" "$0"
+ exit 0
+fi
+
+printf "%s: Installing services\n" "$0"
+
+systemctl --user enable --now --no-block rss2email.timer
+systemctl --user start --no-block rss2email.service